<?php
 //require_once '../ConsentManagerMain.php';
 defined('ABSPATH') or die('No script kiddies please!');
 $consentManagerMain = new ConsentManagerMain();
 $updateSucces = false;
 $validationError = false;
 $error = false;
 if(isset($_POST['submit']) && wp_verify_nonce($_POST['_wpnonce'], consentManagerMain::getAdminUrl()))
 {
  check_admin_referer(ConsentManagerMain::getAdminUrl());
  $mode = $_POST['consent_manager_mode'];
  $ignore_domains = $_POST['consent_manager_ignore_domains'];
  $id = $_POST['consent_manager_id'];
  $mode = trim($mode);
  $id = trim($id);
  if($consentManagerMain->checkId($id))
  {
   try
   {
    update_option(consentManagerMain::OPTION_ID, $id);
    update_option(consentManagerMain::OPTION_MODE, $mode);
    update_option(consentManagerMain::OPTION_IGNORE_DOMAINS, $ignore_domains);
   }
   catch(Exception $e)
   {
    $error = $e->getMessage();
   }
  }
  else
  {
   $validationError = 'The ConsentManager.de ID did not match, it should be a number like: 12345';
  }
 }

?>
<div class="wrap consentmanager_admin">
 <h1 id="logo">
  <img width="200px" src="<?php echo '/wp-content/plugins/ConsentManager/assets/images/logo_neu.png'; ?>" alt="Consentmanager"/>
 </h1>
 
 <?php if($error) : ?>
  <div>
   <p class="notice notice-error">
    <?php _e("The ID could not be saved. Please check your database and Wordpress version!"); ?>
   </p>
  </div>
 <?php endif; ?>
 <?php if($validationError) : ?>
  <div>
   <p class="notice notice-error">
    <?php _e($validationError); ?>
   </p>
  </div>
 <?php endif; ?>
 <?php if($updateSucces) : ?>
			<di
   <p class="notice notice-success">
    <?php _e("Updated"); ?>
   </p>
  </div>
 <?php endif; ?>
<div clasS="wrapper">
	<div class="container_half">
 <p><i>Please insert your Consentmanager Credentials here:</i></p>
 
 <form method="post">
  
  <?php echo wp_nonce_field(consentManagerMain::getAdminUrl()) ?>
 
  <p>
   <label>Consentmanager ID:</label>
   <input placeholder="123456" type="text" name="consent_manager_id" id="consent_manager_id" value="<?php echo esc_attr(get_option(consentManagerMain::OPTION_ID)); ?>"/>
  </p>
  <p>
  <label>Consentmanager Mode:</label>
   <?php
   
   ?>
  <select name="consent_manager_mode" id="consent_manager_mode">
   <option value="1" <?php echo esc_attr(get_option(consentManagerMain::OPTION_MODE)) == 1 ? 'selected' : ''; ?>><?php _e("Automatic clientside blocking"); ?></option>
   <option value="2" <?php echo esc_attr(get_option(consentManagerMain::OPTION_MODE)) == 2 ? 'selected' : ''; ?>><?php _e("Automatic serverside blocking"); ?></option>
   <option value="3" <?php echo esc_attr(get_option(consentManagerMain::OPTION_MODE)) == 3 ? 'selected' : ''; ?>><?php _e("Semiautomatic Code"); ?></option>
  </select>
  </p>
  <p>
  <label>Domains to ignore on automatic serverside blocking:<br><i>(Comma separated Urls)</i></label>
  <textarea placeholder="domain1.com, domain2.com" name="consent_manager_ignore_domains" id="consent_ignore_domains" rows="5"><?php echo esc_attr(get_option(consentManagerMain::OPTION_IGNORE_DOMAINS)); ?></textarea>
  </p>
  
  <?php submit_button(); ?>
 
 </form>
 <p>
  <i>if you don’t yet have an ID, please get in touch with us at <a target="_blank" href="https://www.consentmanager.net/">www.consentmanager.net</a></i>
 </p>
	</div>
	<div class="container_half">
		<h4>Automatic Clientside</h4>
		<p>Javascript based blocking of 3rd party scripts listed in your consentmanager account.</p>
		<h4>Automatic Serverside</h4>
		<p>Serverside blocking of 3rd party scripts. Blocks all external scriot tags from Vendors listed in your consentmanager account.</p>
		<h4>Semiautomatic Clientside</h4>
		<p>Blocks all scripts that you marked in your code.</p>
	</div>
	<a href="https://help.consentmanager.net/books/cmp/page/how-to-integrate-the-cmp-into-a-wordpress-website" id="help_btn" class="btn">Help</a>
</div>